// Eg12_1Dlg.h : header file
//

#if !defined(AFX_EG12_1DLG_H__1282D000_D10B_438F_80C0_C63955FE1B04__INCLUDED_)
#define AFX_EG12_1DLG_H__1282D000_D10B_438F_80C0_C63955FE1B04__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#define WM_USERUPDATE WM_USER+100

/////////////////////////////////////////////////////////////////////////////
// CEg12_1Dlg dialog

class CEg12_1Dlg : public CDialog
{
// Construction
public:
	CEg12_1Dlg(CWnd* pParent = NULL);	// standard constructor
    void OnReceive();
	long OnUserUpdate();
//    UINT  ReadProc(LPVOID param);
// Dialog Data
	//{{AFX_DATA(CEg12_1Dlg)
	enum { IDD = IDD_EG12_1_DIALOG };
	CString	m_sendData;
	CString	m_receiveData;
	CString	m_receive;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEg12_1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CEg12_1Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg LONG OnUserUpdate(WPARAM wParam,LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConfig();
	afx_msg void OnSend();
	afx_msg void OnClear();
	afx_msg void OnQuit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EG12_1DLG_H__1282D000_D10B_438F_80C0_C63955FE1B04__INCLUDED_)
